﻿using System.ComponentModel.DataAnnotations;

namespace KellermanSoftware.NetEmailValidationCoreDemo.Models
{
    public class EmailViewModel
    {
        [Display(Name= "User Name")]
        public string UserName { get; set; }

        [Display(Name = "License")]
        public string LicenseKey { get; set; }

        [Required]
        [Display(Name = "From Email Server")]
        public string FromEmailServer { get; set; }

        [Required]
        [EmailAddress]
        [Display(Name = "From Email")]
        public string FromEmail { get; set; }

        [Required]
        [EmailAddress]
        [Display(Name = "Email To Validate")]
        public string Email { get; set; }

        [Display(Name = "User Message")]
        public string UserMessage { get; set; }

        [Display(Name = "Status Description")]
        public string StatusDescription { get; set; }

        [Display(Name = "Log")]
        public string Log { get; set; }
    }
}
